Page MenuHomePhabricator

[libc++] Remove P1908 from the status page
ClosedPublic

Authored by philnik on Nov 16 2022, 5:42 AM.

Details

Summary

The paper doesn't include anything affecting the library. AFAICT there isn't even anything to do for the compiler, since it just reserved the std attribute namespace.

Diff Detail

Event Timeline

philnik created this revision.Nov 16 2022, 5:42 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 16 2022, 5:42 AM
philnik requested review of this revision.Nov 16 2022, 5:42 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 16 2022, 5:42 AM
Herald added a reviewer: Restricted Project. · View Herald Transcript

Instead I would say Nothing To Do but keep the link, just to acknowledge that we looked at it and concluded there was nothing to do.

Instead I would say Nothing To Do but keep the link, just to acknowledge that we looked at it and concluded there was nothing to do.

We don't do that for other CWG papers though? I thought we normally only list the ones affecting the library.

ldionne accepted this revision.Nov 17 2022, 1:51 PM

Instead I would say Nothing To Do but keep the link, just to acknowledge that we looked at it and concluded there was nothing to do.

We don't do that for other CWG papers though? I thought we normally only list the ones affecting the library.

I guess you're right. It's really just about attribute names.

This revision is now accepted and ready to land.Nov 17 2022, 1:51 PM
This revision was landed with ongoing or failed builds.Nov 24 2022, 5:10 AM
This revision was automatically updated to reflect the committed changes.